ClarisWksPresentationInternal::State Struct Reference

Internal: the state of a ClarisWksPresentation. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

std::shared_ptr< Presentation > | m_presentation
| the main presentation
std::map< int, std::shared_ptr< Presentation > > | m_presentationMap
| map zId to presentation

## Detailed Description

Internal: the state of a ClarisWksPresentation.

## Constructor & Destructor Documentation

## State()

ClarisWksPresentationInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_presentation

std::shared_ptr<Presentation> ClarisWksPresentationInternal::State::m_presentation

the main presentation

Referenced by State().

## m_presentationMap

std::map<int, std::shared_ptr<Presentation> > ClarisWksPresentationInternal::State::m_presentationMap

map zId to presentation

Referenced by State().

The documentation for this struct was generated from the following file:

- ClarisWksPresentation.cxx